GHSA-8859-v9jp-cphf

Suggest an improvement
Source
https://github.com/advisories/GHSA-8859-v9jp-cphf
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/10/GHSA-8859-v9jp-cphf/GHSA-8859-v9jp-cphf.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-8859-v9jp-cphf
Aliases
  • CVE-2023-46656
Published
2023-10-25T18:32:25Z
Modified
2024-02-16T08:23:40.088695Z
Severity
  • 3.7 (Low) CVSS_V3 - CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Multibranch Scan Webhook Trigger Plugin uses non-constant time webhook token comparison
Details

Jenkins Multibranch Scan Webhook Trigger Plugin 1.0.9 and earlier does not use a constant-time comparison when checking whether the provided and expected webhook token are equal.

This could potentially allow attackers to use statistical methods to obtain a valid webhook token.

As of publication of this advisory, there is no fix.

References

Affected packages

Maven / igalg.jenkins.plugins:multibranch-scan-webhook-trigger

Package

Name
igalg.jenkins.plugins:multibranch-scan-webhook-trigger
View open source insights on deps.dev
Purl
pkg:maven/igalg.jenkins.plugins/multibranch-scan-webhook-trigger

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.0.9

Affected versions

1.*

1.0.0
1.0.1
1.0.5
1.0.8
1.0.9